{
  fructose.modules = [
    (
      {config, ...}: {
        virtualisation.oci-containers = {
          containers.pihole = {
            image = "pihole/pihole:latest";
            ports = [
              "53:53/tcp"
              "53:53/udp"
              "800:80"
            ];
            environmentFiles = [
              "${config.sops.templates."pihole.env.secrets.yaml".path}"
            ];
            environment = {
              TZ = "Europe/Bucharest";
            };
            volumes = [
              "/var/services/pihole/etc-pihole/:/etc/pihole/"
              "/var/services/pihole/etc-dnsmasq.d/:/etc/dnsmasq.d/"
            ];
          };
        };
      }
    )
  ];
}
